#!/usr/bin/env python

"""Tests for `brellium_llms` package."""


import unittest
from click.testing import CliRunner

from brellium_llms import brellium_llms
from brellium_llms import cli


class TestBrellium_llms(unittest.TestCase):
    """Tests for `brellium_llms` package."""

    def setUp(self):
        """Set up test fixtures, if any."""

    def tearDown(self):
        """Tear down test fixtures, if any."""

    def test_000_something(self):
        """Test something."""

    def test_command_line_interface(self):
        """Test the CLI."""
        runner = CliRunner()
        result = runner.invoke(cli.main)
        assert result.exit_code == 0
        assert 'brellium_llms.cli.main' in result.output
        help_result = runner.invoke(cli.main, ['--help'])
        assert help_result.exit_code == 0
        assert '--help  Show this message and exit.' in help_result.output
